MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028044Open CASCADE[OCCT] OCCT:Data Exchangepublic2016-11-02 18:282017-09-29 16:25
Reporterika 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028044: Data Exchange - implement data structures for Saved Views
DescriptionImplement data structures in OCAF for Saved Views.
Steps To Reproducetest bugs xde bug28044
TagsNo tags attached.
Test case numberbugs xde bug28044
Attached Files

- Relationships
parent of 0028389closedapn Data Exchange - Import of STEP Saved Views and Clipping Planes 
related to 0028444closedapn Data Exchange - Missed text blocks in Saved Views 

-  Notes
(0059849)
git (administrator)
2016-11-03 13:33

Branch CR28044 has been created by ika.

SHA-1: 9b918b86b7f7160668311fe8c8b475a813d7598c


Detailed log of new commits:

Author: ika
Date: Wed Oct 19 18:31:56 2016 +0300

    0028044: Data Exchange - implement data structures for Saved Views
    
    Add new root label in Document for Views.
    Add new attribute to store View.
    Add object and tool to process Views
(0060429)
git (administrator)
2016-11-16 15:26

Branch CR28044 has been updated forcibly by ika.

SHA-1: f0d31a53a27c169f00f8f576bcc515bf8108a0d8
(0062815)
git (administrator)
2017-01-19 19:03

Branch CR28044 has been updated forcibly by ika.

SHA-1: 163dd19917bc8f267c08c01b8a6a02a5df81e16f
(0062816)
ika (developer)
2017-01-19 19:04

Add new root label in Document for Views.
Add new attribute to store View in XDE.
Add object and tool to process Views.
Add new Draw commands for Views.

Dear GKA,
could you please review data structures for Saved Views in branch CR28044?
(0062832)
gka (developer)
2017-01-20 14:14

Branch CR28044 is ready to be tested
(0062872)
git (administrator)
2017-01-20 19:01

Branch CR28044 has been updated forcibly by apv.

SHA-1: 62116677bbed956cd1bafb6b4aee93acd8f61344
(0062873)
apv (tester)
2017-01-20 19:01

Branch CR28044 has been rebased on the current master
(0063028)
mkv (tester)
2017-01-25 16:05

Dear BugMaster,
Branch CR28044 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 62116677bbed956cd1bafb6b4aee93acd8f61344

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1145

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28044-master-OCCT/Debian70-64/bugs/xde/bug28044.html [^]
http://occt-tests/CR28044-master-OCCT/Windows-64-VC10/bugs/xde/bug28044.html [^]
bugs xde bug28044: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93497106 / 92051041 [+1.57%]
Total CPU difference: 21387.630000000187 / 21062.120000000155 [+1.55%]
products component :
Total MEMORY difference: 31331940 / 31311912 [+0.06%]
Total CPU difference: 5572.0399999999745 / 5531.039999999989 [+0.74%]

Testing on Windows:
occt component :
Total MEMORY difference: 58330710 / 58324216 [+0.01%]
Total CPU difference: 20066.174628498633 / 19152.585972198493 [+4.77%]
products component :
Total MEMORY difference: 22560325 / 22520482 [+0.18%]
Total CPU difference: 5533.261869399971 / 5374.920854399972 [+2.95%]

There are no differences in images found by testdiff.
(0063029)
mkv (tester)
2017-01-25 16:05

Dear BugMaster,
Branch CR28044 is TESTED.
(0063590)
git (administrator)
2017-02-08 11:35

Branch CR28044 has been deleted by kgv.

SHA-1: 62116677bbed956cd1bafb6b4aee93acd8f61344

- Related Changesets
occt: master 2df785d7
Timestamp: 2016-10-19 15:31:56
Author: ika
Committer: apn
Details ] Diff ]
0028044: Data Exchange - implement data structures for Saved Views

Add new root label in Document for Views.
Add new attribute to store View in XDE.
Add object and tool to process Views.
Add new Draw commands for Views.
mod - src/BinMXCAFDoc/BinMXCAFDoc.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ViewDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ViewDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ViewToolDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ViewToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/FILES Diff ] File ]
mod - src/TKXCAF/PACKAGES Diff ] File ]
mod - src/XCAFDoc/FILES Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_View.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_View.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_ViewTool.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_ViewTool.hxx Diff ] File ]
add - src/XCAFView/FILES Diff ] File ]
add - src/XCAFView/XCAFView_Object.cxx Diff ] File ]
add - src/XCAFView/XCAFView_Object.hxx Diff ] File ]
add - src/XCAFView/XCAFView_ProjectionType.hxx Diff ] File ]
mod - src/XDEDRAW/FILES Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.hxx Diff ] File ]
add - src/XDEDRAW/XDEDRAW_Views.cxx Diff ] File ]
add - src/XDEDRAW/XDEDRAW_Views.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/FILES Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_ViewToolDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_ViewToolDriver.hxx Diff ] File ]
add - tests/bugs/xde/bug28044 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-02 18:28 ika New Issue
2016-11-02 18:28 ika Assigned To => ika
2016-11-03 13:33 git Note Added: 0059849
2016-11-09 10:22 abv Target Version 7.1.0 => 7.2.0
2016-11-16 15:26 git Note Added: 0060429
2017-01-19 19:03 git Note Added: 0062815
2017-01-19 19:04 ika Note Added: 0062816
2017-01-19 19:04 ika Assigned To ika => gka
2017-01-19 19:04 ika Status new => resolved
2017-01-19 19:04 ika Steps to Reproduce Updated View Revisions
2017-01-20 14:14 gka Note Added: 0062832
2017-01-20 14:14 gka Assigned To gka => bugmaster
2017-01-20 14:14 gka Status resolved => reviewed
2017-01-20 19:01 git Note Added: 0062872
2017-01-20 19:01 apv Note Added: 0062873
2017-01-20 19:03 apv Test case number => bugs xde bug28044
2017-01-20 19:03 apv Assigned To bugmaster => apv
2017-01-23 12:55 apv Assigned To apv => mkv
2017-01-25 16:05 mkv Note Added: 0063028
2017-01-25 16:05 mkv Note Added: 0063029
2017-01-25 16:05 mkv Assigned To mkv => bugmaster
2017-01-25 16:05 mkv Status reviewed => tested
2017-01-27 11:16 ika Relationship added parent of 0028389
2017-01-27 16:15 apn Changeset attached => occt master 2df785d7
2017-01-27 16:15 apn Assigned To bugmaster => apn
2017-01-27 16:15 apn Status tested => verified
2017-01-27 16:15 apn Resolution open => fixed
2017-02-08 11:35 git Note Added: 0063590
2017-05-19 14:03 abv Relationship added related to 0028444
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker